no

USPS::submit_request: domxml_open_mem is uncallable

I am calling the USPS API when I got the above error. The problem is the server where my application resides is equipped with php version ...

I am calling the USPS API when I got the above error.

The problem is the server where my application resides is equipped with php version 5, while the class that I have downloaded and using is class.usps.php. This class use the old domxml object available to php version 4.

The solution is convert the domxml calls to the new dom object in php5 OR use the domxml-php4-to-php5.php. All you need to do is include this lines:


if (PHP_VERSION>='5')
require_once('domxml-php4-to-php5.php'); //Load the PHP5 converter


Before you make a call to domxml methods.

Related

php 1946378067569535020

Post a Comment

1 comment

Chinmaya said...

can you send me the converter file, i am not able to get the file.

Chinmay
behera.chinmayananda@gmail.com

item